Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problemas al compilar xorg-server 1.15
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Thu Jan 23, 2014 10:12 pm    Post subject: Problemas al compilar xorg-server 1.15 Reply with quote

Hasta ahora no he tenido problemas con este paquete. Sin embargo esta última versión no logra compilarme y me suelta el siguiente error:

Code:
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c: In function ‘createModeFromConfig’:
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c:147:25: error: ‘__DRI_ATTRIB_FLOAT_BIT’ undeclared (first use in this function)
             if (value & __DRI_ATTRIB_FLOAT_BIT)
                         ^
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c:147:25: note: each undeclared identifier is reported only once for each function it appears in
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c:149:25: error: ‘__DRI_ATTRIB_UNSIGNED_FLOAT_BIT’ undeclared (first use in this function)
             if (value & __DRI_ATTRIB_UNSIGNED_FLOAT_BIT)
                         ^
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c: In function ‘render_type_is_pbuffer_only’:
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c:196:29: error: ‘__DRI_ATTRIB_UNSIGNED_FLOAT_BIT’ undeclared (first use in this function)
     return !!(renderType & (__DRI_ATTRIB_UNSIGNED_FLOAT_BIT
                             ^
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c:197:31: error: ‘__DRI_ATTRIB_FLOAT_BIT’ undeclared (first use in this function)
                             | __DRI_ATTRIB_FLOAT_BIT));
                               ^
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c: In function ‘glxConvertConfigs’:
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c:231:35: warning: pointer targets in passing argument 3 of ‘core->getConfigAttrib’ differ in signedness [-Wpointer-sign]
                                   &renderType)) {
                                   ^
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c:231:35: note: expected ‘unsigned int *’ but argument is of type ‘int *’
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c: In function ‘render_type_is_pbuffer_only’:
/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0/glx/glxdricommon.c:198:1: error: control reaches end of non-void function [-Werror=return-type]
 }
 ^
cc1: some warnings being treated as errors
make[1]: *** [glxdricommon.lo] Error 1
make[1]: *** Se espera a que terminen otras tareas....
make[1]: se sale del directorio `/var/tmp/portage/x11-base/xorg-server-1.15.0/work/xorg-server-1.15.0_build/glx'
make: *** [all-recursive] Error 1


Este paquete estoy intentando compilarlo para x86, en otro ordenador para amd64 lo he podido compilar sin problemas. ¿A alguien le ha pasado lo mismo? Gracias.
Back to top
View user's profile Send private message
esteban_conde
Veteran
Veteran


Joined: 04 Jun 2003
Posts: 1532

PostPosted: Sat Jan 25, 2014 6:26 pm    Post subject: Reply with quote

Posiblemente tengas que habilitar dri en el kernel.
_________________
Saludos a tod@s, Esteban.
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Sun Jan 26, 2014 1:35 am    Post subject: Reply with quote

esteban_conde wrote:
Posiblemente tengas que habilitar dri en el kernel.


He activado las dri para radeon, de todas maneras, lo extraño es que en otro pc para amd64 logra compilarmelo.
Back to top
View user's profile Send private message
esteban_conde
Veteran
Veteran


Joined: 04 Jun 2003
Posts: 1532

PostPosted: Sun Jan 26, 2014 10:26 am    Post subject: Reply with quote

prueba emerge -pv xf86-video-ati pues es posible que te pida xorg-server como dependencia y vete a saber de esa forma puede que compile.
_________________
Saludos a tod@s, Esteban.
Back to top
View user's profile Send private message
quilosaq
l33t
l33t


Joined: 22 Dec 2009
Posts: 840

PostPosted: Sun Jan 26, 2014 1:00 pm    Post subject: Reply with quote

malariax wrote:
esteban_conde wrote:
Posiblemente tengas que habilitar dri en el kernel.


He activado las dri para radeon, de todas maneras, lo extraño es que en otro pc para amd64 logra compilarmelo.
Ayudaría que publicaras tu emerge --info y el log completo.
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Sun Jan 26, 2014 5:43 pm    Post subject: Reply with quote

Gracias por la ayuda. Por motivos personales, estos días no voy a poder poner en práctica vuestros consejos. En unos días os contesto. Os pido disculpas.
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Sat Feb 01, 2014 1:31 pm    Post subject: Reply with quote

Quote:
Portage 2.2.7 (default/linux/x86/13.0/desktop, gcc-4.8.2, glibc-2.18-r1, 3.13.0-gentoo-r1 i686)
=================================================================
System uname: Linux-3.13.0-gentoo-r1-i686-Pentium-R-_Dual-Core_CPU_E6300_@_2.80GHz-with-gentoo-2.2
KiB Mem: 3104984 total, 1666952 free
KiB Swap: 0 total, 0 free
Timestamp of tree: Fri, 31 Jan 2014 19:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash: 4.2_p45
dev-java/java-config: 2.1.12-r1
dev-lang/python: 2.7.5-r2, 3.2.5-r3, 3.3.3
dev-util/cmake: 2.8.12.2
dev-util/pkgconfig: 0.28
sys-apps/baselayout: 2.2
sys-apps/openrc: 0.12.3
sys-apps/sandbox: 2.6-r1
sys-devel/autoconf: 2.13, 2.69
sys-devel/automake: 1.10.3, 1.11.6, 1.12.6, 1.13.4, 1.14
sys-devel/binutils: 2.22-r1, 2.23.1, 2.23.2
sys-devel/gcc: 4.7.3-r1, 4.8.2
sys-devel/gcc-config: 1.8
sys-devel/libtool: 2.4.2
sys-devel/make: 3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc: 2.18-r1
Repositories: gentoo
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -msse -msse2 -msse3 -mmmx -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -mtune=native -msse -msse2 -msse3 -mmmx -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://mirror.netcologne.de/gentoo/"
LANG="es_ES.UTF-8"
LC_ALL="es_ES.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync1.de.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi adplug alsa berkdb bluetooth bluray branding btrfs bzip2 cairo cdda cdr cli consolekit cracklib crypt cue cups cxx daemon dbus dos dri dts dvd dvdr emboss encode exif fam fat firefox flac fluidsynth fortran fuse gbm gdbm geoip gif glamor gles gles1 gles2 gnutls gpm gtk hfs iconv imlib ios ipv6 jack joystick jpeg lame lcms ldap libnotify libsamplerate llvm-shared-libs mad matroska midi mmx mng mod modemmanager modplug modules mp3 mp4 mpeg multislot multitarget musepack ncurses nls nptl ntfs ogg openal opencl opengl openmp openvg osmesa pam pango pcre pdf png policykit ppds pulseaudio qt3support qt4 r600-llvm-compiler rar readline remote sdl session setproctitle sndfile speex spell sse sse2 sse3 ssl ssse3 startup-notification svg symlink systemd taglib tcpd theora tiff timidity toolame truetype twolame udev udisks unicode upower usb virtualbox vorbis wavpack wayland wayland-compositor webinterface wma-fixed wxwidgets x264 x86 xcb xcomposite xinerama xml xorg xv xvid xwayland zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="es" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


Este es mi emerge --info; las dri las tenía ya activadas; he actualizado los drivers xf86-video-ati pero aún así mes sigue dando el mismo error.
Back to top
View user's profile Send private message
Luciernaga
Guru
Guru


Joined: 05 Apr 2006
Posts: 378
Location: LANDETE (Cuenca)

PostPosted: Sat Feb 01, 2014 3:04 pm    Post subject: Reply with quote

Con una ATI tuve un problema parecido y lo solucioné con emerge radeon-ucode ... prueba a ver si furula ...
Saludetes ;)
_________________
Soy como una diminuta luciérnaga, perdido en la inmensa oscuridad del universo.
Back to top
View user's profile Send private message
quilosaq
l33t
l33t


Joined: 22 Dec 2009
Posts: 840

PostPosted: Sat Feb 01, 2014 10:57 pm    Post subject: Reply with quote

Supongo que sabes que xorg-serevr-1.15.0 es una versión en pruebas. ¿Qué versión de mesa tienes instalada?
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Sun Feb 02, 2014 7:40 pm    Post subject: Reply with quote

Luciernaga wrote:
Con una ATI tuve un problema parecido y lo solucioné con emerge radeon-ucode ... prueba a ver si furula ...
Saludetes ;)


Entiendo que radeon-ucode, sirve para cargar el firmware de la tarjeta, pero yo es que lo cargo directamente desde la configuración del kernel, voy a comprobar de todas maneras esto.
A la hora de cargarlos y configurar siempre me baso en esta página http://wiki.gentoo.org/wiki/Radeon
La versión de mesa que utilizo es la 9.2.5 y los drivers que tengo compilados son los x86-video-ati versión 7.3.0
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Mon Feb 03, 2014 9:59 am    Post subject: Reply with quote

Los firmware pertenecientes a mi tarjeta estan correctamente cargados en el kernel.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3746

PostPosted: Mon Feb 03, 2014 11:19 am    Post subject: Reply with quote

Quote:
cc1: some warnings being treated as errors


que gcc estás usando para compilar ? ( gcc -v)
podemos ver la salida de un emerge -pv xorg-server y emerge -pv mesa ?

saluetes
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Fri Feb 07, 2014 10:50 am    Post subject: Reply with quote

gcc -v

Code:
Usando especificaciones internas.
COLLECT_GCC=/usr/i686-pc-linux-gnu/gcc-bin/4.8.2/gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/i686-pc-linux-gnu/4.8.2/lto-wrapper
Objetivo: i686-pc-linux-gnu
Configurado con: /var/tmp/portage/sys-devel/gcc-4.8.2/work/gcc-4.8.2/configure --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/4.8.2 --includedir=/usr/lib/gcc/i686-pc-linux-gnu/4.8.2/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/4.8.2 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/4.8.2/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/4.8.2/info --with-gxx-include-dir=/usr/lib/gcc/i686-pc-linux-gnu/4.8.2/include/g++-v4 --with-python-dir=/share/gcc-data/i686-pc-linux-gnu/4.8.2/python --enable-languages=c,c++,fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.8.2 p1.2, pie-0.5.8' --enable-libstdcxx-time --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --disable-multilib --disable-altivec --disable-fixed-point --with-arch=i686 --enable-targets=all --disable-libgcj --enable-libgomp --enable-libmudflap --disable-libssp --enable-lto --without-cloog
Modelo de hilos: posix
gcc versión 4.8.2 (Gentoo 4.8.2 p1.2, pie-0.5.8)



ACCEPT_KEYWORDS="~x86" emerge -pv xorg-server


Code:
[ebuild  r  U  ] x11-base/xorg-server-1.15.0:0/1.15.0 [1.14.3-r2:0/1.14.3] USE="ipv6 nptl suid udev xorg -dmx -doc -kdrive -minimal (-selinux) -static-libs -tslib -xnest -xvfb" 5,417 kB
[ebuild  rR    ] media-libs/mesa-9.2.5  USE="classic egl gallium gbm gles1 gles2 llvm llvm-shared-libs nptl opencl openvg osmesa r600-llvm-compiler wayland xorg -bindist -debug -pax_kernel -pic (-selinux) -vdpau -xa -xvmc" VIDEO_CARDS="r600 radeon (-freedreno) -i915 -i965 -ilo -intel -nouveau -r100 -r200 -r300 -radeonsi -vmware" 6,524 kB
[ebuild  r  U  ] x11-libs/glamor-0.6.0 [0.5.1-r1] USE="gles xv%* -static-libs" 419 kB
[ebuild  rR    ] x11-drivers/xf86-video-ati-7.3.0  USE="glamor* udev" 798 kB
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3746

PostPosted: Fri Feb 07, 2014 11:11 am    Post subject: Reply with quote

compila xorg-server si compilas mesa sin gbm ?
además, estás seguro de que necesitas gles1, gles2 ,opencl, openvg, osmesa y wayland ?
en caso de que uses gallium exclusivamente puedes desactivar classic tb.

saluetes
Back to top
View user's profile Send private message
malariax
n00b
n00b


Joined: 18 Oct 2012
Posts: 31

PostPosted: Sun Feb 16, 2014 8:56 am    Post subject: Reply with quote

He estado haciendo diversas pruebas y la única manera de que me compile es tratar de compilarlo manualmente con la opcion --disable-glx. Curiosamente, la última versión de glamor (0.6.0), tampoco compila, sin embargo las versiones anteriores de los paquetes, tanto el de glamor (0.5.1-r1) como el de xorg-server (1.14.5) compilan a la perfección. Como he mencionado antes las últimas versiones de los paquetes de glamor y xorg-server sí compilan para amd64. Mi conclusión es que hay algún problema con las versiones para i686, pero de momento no encuentro ningun parche. Seguiré investigando...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum